#!/usr/bin/perl -T

use lib '.'; use lib 't';

require v5.14.0;

use Cwd;
use Config;
use File::Spec;
use File::Temp qw(tempdir);

use Test::More tests => 1;

my $tname = "a2";

if ($ENV{'PERL5LIB'}) {
  my @pathdirs  = split($Config{path_sep}, $ENV{'PERL5LIB'});
  my $pathdir = $INC[4];
  my $testdir = $pathdirs[0];
  diag "expected same item from PERL5LIB $testdir and INC $pathdir" if $testdir ne $pathdir;
  my $canonpathdir = $pathdir if ((-d $pathdir) and File::Spec->file_name_is_absolute($pathdir));
}

chdir("t");

my $workdir = tempdir("$tname.XXXXXX", DIR => "log");
die "FATAL: failed to create workdir: $!" unless -d $workdir;

ok((-d $workdir), 'tempdir test');
